Subject: RE: draft-katz-yeung-ospf-traffic-04

From: Martin-Guy Richard <[email-masked]>
Date: Thu, 26 Apr 2001 20:25:03 -0400

John,

The best way to see it is to use an example:

Those are the sub-TLVs for the Link TLV.

1 - Link type (1 octet)
2 - Link ID (4 octets)
3 - Local interface IP address (4 octets)
4 - Remote interface IP address (4 octets)
5 - Traffic engineering metric (4 octets)
6 - Maximum bandwidth (4 octets)
7 - Maximum reservable bandwidth (4 octets)
8 - Unreserved bandwidth (32 octets)
9 - Resource class/color (4 octets)

Let say on a certain interface on a certain router we have for the Max Rsv
BW and Unreserved bandwidth sub-TLVs the following values:

Maximum reservable bandwidth : 1250000
Priority 0 : 1250000     Priority 1 : 1225000   
Priority 2 : 1225000     Priority 3 : 1225000   
Priority 4 : 1225000     Priority 5 : 1209750   
Priority 6 : 1209750     Priority 7 : 1209750   

You can see that I've set the Max Resv BW to 10Mbps (10Mbps/8bytes=1250000
bytes per second)

One thing you have to know before I continue: 

On  that particular interface on that same router, I have two tunnel having
two different hold priority

    Tunnel 1 has a hold priority of 5, with Resv BW of 122 kbps
    Tunnel 2 has a hold priority of 1, with Resv BW of 200 kbps.

Let's continue.

To find the Unreserved Bandwidth at each priority we need to apply the
following formula:

 (Unreserved BW for current hold priority)=(Unreserved BW from previous hold
priority) - (Resv BW for current hold priority)

At priority 0, I still have the maximum reservable bandwidth. It is equal to
Max Resv BW.
At priority 1, I have a different number. When we apply the formula, we get
1225000 bytes per second left for next priority.
At priority 2, nothing reserved, so by applying the formula, we still have
1225000 bytes per second left for next priority.
At priority 3, same thing.
At priority 4, same thing.
At priority 5, we get 1209750 bytes per second since I reserved 122 kbps for
that hold priority.
At priority 6, nothing reserved, so by applying the formula, we still have
1209750 bytes per second left for next priority.
At priority 7, same thing.

I hope that my example is "draft compliant"!

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of John
Wysocki
Sent: April 25, 2001 2:45 PM
To: [email-masked]
Subject: draft-katz-yeung-ospf-traffic-04

In this draft 2.4.2 Link TLV has sub-TLV 8 - Unreserved bandwidth (32 
octets).

2.5.8 says Each value will be less than or equal to the maximum reservable 
bandwidth.  It specifies not yet reserved BW at each of the eight priority 
levels.

Does this mean each 4 octets (32/8 = 4) will represent unreserved bandwith 
for a priority?
What does it represent?  2^4 = 16 values, but how do you use it?

Does anyone know?

Thanks.

John
_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com